var
	Nick: String;
	FileContent: String;
	Process_Count: Integer;
  
function PluginCaption: string;
begin
  Result := 'Vype logy poadovanho kaera';
end;

function PluginHint: string;
begin
  Result := 'Vype logy konkrtnho kaera';
end;

function PluginIcon: string;
begin
  Result := DecodeBase64('Qk02AwAAAAAAADYAAAAoAAAAEAAAABAAAAABABgAAAAAAAAAAADEDgAAxA4AAAAAAAAAAAAA7ezr 7ezr7ezrAAAAAAAAAAAAAAAAl5eX7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezrAAAA x8fHx8fHx8fHAAAAAAAAAAAAAAAAl5eX7ezr7ezr7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn5+fn 5+fn5+fn5+fnx8fHAAAAAAAAAAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn19fX19fX//////// ////5+fn////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fnCAgICAgI19fX19fX19fX//////// AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////CAgICAgICAgI19fX////AAAA7ezr7ezr 7ezr7ezr7ezrAAAAx8fH5+fn19fX19fX////////////CAgI////AAAA7ezr7ezr7ezr7ezr7ezr AAAAx8fH5+fnAAAAAAAA19fX19fX19fX////////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH19fX 5+fn9/f3AAAAAAAAAAAA19fX////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn//////////// 5+fn9/f3AAAA////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////AAD/////////9/f3 ////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////////AAD/AAD/srL/AAD/AAD/7ezr 7ezr7ezr7ezr7ezrAAAAAAAAAAAAAAAA5+fn5+fn5+fn5+fnAAD/AACyAACyAAD/7ezr7ezr7ezr 7ezr7ezr7ezr7ezrl5eXAAAAAAAAAAAAAAAAAAD/AACysrL/AAD/7ezr7ezr7ezr7ezr7ezr7ezr 7ezr7ezr7ezr7ezr7ezrl5eXAAD/AAD/////AAD/7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr 7ezr7ezr7ezr7ezrAAD/AAD/7ezr7ezr');
end;

function PluginFlags: string;
begin
  Result := 'toolbar';
end;

{$I czgcdorank.form.pas}

procedure PluginStart;
begin
	Nick := InputBox('Nalezen log kaera', 'Napite nick kaera, jeho logy chcete najt:', '');
	if Nick = '' then GeoAbort;
	Process_Count := 0;
	FileContent := Nick + CRLF + '-----------------------------------------------------';
end;
  
procedure PluginWork;
var
	I: Integer;
	L: TGeoLog;
begin
	Inc(Process_Count);
	GeoBusyCaption('Hledn log kaera ' + Nick);
	GeoBusyKind(GC.Name);
	GeoBusyProgress(Process_Count, GEOGET_MAXCOUNT);
	for I := 0 to Pred(GC.Logs.Count) do begin
		L := GC.Logs[I];
		if L.finder = Nick then begin
			FileContent := FileContent + CRLF + GC.ID + ' ' + GC.Name + ': ' + DateToStr(L.date) + ' ' + L.logtype + CRLF + L.text + 
											CRLF + '-----------------------------------------------------';
		end;
	end;
end;

procedure PluginStop;
var
	FileName: String;
begin
	if not(SaveDlg('Uloit vsledek', '', '', '*.txt', FileName)) then Exit;
	StringToFile(UtfToAnsi(FileContent), FileName);
end;